## gnome-robots 41.2

=== meson_options.txt ===
option(
    'profile',
    type: 'combo',
    choices: [
        'debug',
        'release',
    ],
    value: 'debug',
    description: 'The build profile: "debug" or "release".'
)

## gnome-robots 3.7.90

=== debian/changelog ===
gnome-robots (1:3.7.90-0ubuntu1) raring; urgency=low

  * Sync with Debian svn

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 19 Feb 2013 11:21:52 -0500

gnome-robots (1:3.7.90-1) UNRELEASED; urgency=low

  * Package split from gnome-games
  * Add transitional package for rename from gnobots2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 17 Feb 2013 23:48:41 -0500

gnome-games (1:3.4.2-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/91_glchess_engine.patch:
    - Cherry-pick patch from upstream Git to kill gnuchess engine
      processes on new game/exit (Closes: #675003).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 Aug 2012 23:14:54 +0200

gnome-games (1:3.4.2-2) unstable; urgency=low

  * debian/patches/02_swell-foop-datadir.patch: Install data files into
    /usr/share/swell-foop not /usr/share/gnome-games and use the correct path
    for the gettext translations. Patch cherry-picked from upstream Git.
  * debian/swell-foop.install: Update accordingly.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 May 2012 07:30:46 +0200

gnome-games (1:3.4.2-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
  * debian/control.in:
      gobject-introspection
    - Tighten gnome-games-data dependency for Lights Off & Swell Foop
  * debian/patches/90_fix-help-links.patch: Dropped, applied upstream
  * debian/patches/91_fix-gnuchess6-compatibility.patch:
    - Git patch to enable Chess to work with gnuchess 6 (Closes: #668435)

  [ Michael Biebl ]
  * Drop obsolete --disable-gnuchess configure switch.
  * debian/patches/01_swell-foop-setgid.patch: Make sure swell-foop is
    installed with the correct setgid bits set so it can write to the scores
    files.
  * debian/scores/swell-foop.inst: Install scores files for swell-foop.
  * Drop obsolete Conflicts, Breaks and Replaces.

 -- Michael Biebl <biebl@debian.org>  Mon, 21 May 2012 07:40:19 +0200

gnome-games (1:3.4.1-2) unstable; urgency=low

  * Demote the aisleriot dependency to a recommendation as long as
    guile-2.0 isn't available on armel, armhf and ia64.

 -- Jordi Mallach <jordi@debian.org>  Fri, 11 May 2012 00:52:38 +0200

gnome-games (1:3.4.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * Re-enable lightsoff and swell-foop
  * debian.control.in:
    - Build-depend on valac-0.16 and GTK 3.3.11
    - Build-depend on yelp-tools instead of gnome-doc-utils
    - Drop gconf dependency
    - Standards-Version 3.9.3
  * debian/*.install: Updated for new files and directories
  * debian/patches/90_fix-sudoku-borders.patch: Dropped, applied upstream
  * debian/patches/90_fix-help-links.patch:
    Patch derived from Git to fix links to help in several games
  * Use dh-autoreconf for the above patch

  [ Jordi Mallach ]
  * New upstream release.
  * Rewrite copyright file in machine-readable format 1.0.
  * Add many copyright entries for lots of missing bits.
  * Build-Depend on gobject-introspection and gnome-common to fix
    autoreconf, but pass --disable-introspection to ensure introspection
    remains disabled.

 -- Jordi Mallach <jordi@debian.org>  Wed, 02 May 2012 17:02:41 +0200

gnome-games (1:3.2.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Replace python-gobject by python-gi.

  [ Michael Biebl ]
  * debian/watch:
    - Track .xz tarballs.
  * debian/control.in:
    - Add Depends on python-gi-cairo to gnome-sudoku. Closes: #643692
  * Bump debhelper compatibility level to 8.
    - Strip debian/tmp/ from .install files.
    - Bump Build-Depends on debhelper.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Dec 2011 20:49:10 +0100

gnome-games (1:3.2.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream stable release.
    - Aisleriot has been split into its own package
    - Five or More, Iagno, Mahjongg, Mines and Tetravex were ported to
      GSettings
    - Sudoku was ported to pygobject
  * debian/control.in:
    - Add Vcs links
    - Dropped aisleriot & its dependencies
    - Require valac-0.14 and pygobject 2.90
  * debian/pycompat: Dropped, obsolete.
  * debian/patches/01_theme_install.patch: Dropped, applied upstream

  [ Jordi Mallach ]
  * New upstream release.
  * Merge from Ubuntu:
    - debian/patches/90_fix-sudoku-borders.patch: Bugzilla patch to
      fix missing borders in Sudoku (LP: #844385).
  * Tighten aisleriot dependency to >= ${gnome:Version}.
  * Replace versioned conflicts with breaks.
  * Remove aisleriot bits from copyright file.

 -- Jordi Mallach <jordi@debian.org>  Thu, 24 Nov 2011 19:47:53 +0100

gnome-games (1:3.0.2-2) unstable; urgency=low

  * Fix pygobject dependency. Closes: #643030.
  * gnome-cards-data also breaks g-g-extra-data.
  * Add missing epoch to all breaks/replaces.

 -- Josselin Mouette <joss@debian.org>  Mon, 26 Sep 2011 23:13:06 +0200

gnome-games (1:3.0.2-1) unstable; urgency=low

  * Make gnome-cards-data Replaces: gnome-games-extra-data.
    Closes: #629925.
  * New upstream release.
  * Explicitly disable swell-foop and lightsoff since they are going 
    away in 3.2 (pending a port to vala or C). Closes: #623988.
  * Update build-dependencies.
  * Drop introspection, it’s only used for JS games.
  * Build-conflict with libclutter-gtk-0.10-dev because of BZ#643080.
  * 01_theme_install.patch: new patch. List packages for installation of 
    extra card themes.
  * Split all games in separate packages to prepare for the upcoming 
    split upstream. Closes: #167372.
  * Small updates to copyright file accordingly.
  * Remove old-style menu files.

 -- Josselin Mouette <joss@debian.org>  Sat, 24 Sep 2011 13:48:36 +0200

gnome-games (1:3.0.1.1-1) experimental; urgency=low

  * New upstream stable release.
  * Bump a few more Build-Deps and add valac-0.12.
  * Re-enable GObject Introspection support.
  * Update Homepage URL.
  * Comment out gnome-sudoku entry from menu file as it's not available
    for GTK+3 yet.
  * 0001-quadrapassel-use-gtk_clutter_init.-instead.patch: removed, was
    taken upstream.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-robots
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
Homepage: https://live.gnome.org/Robots
Build-Depends: cdbs (>= 0.4.90~),
               debhelper (>= 8),
               dh-autoreconf,
               gnome-common,
               gnome-pkg-tools (>= 0.6),
               intltool (>= 0.35.0),
               libcanberra-gtk3-dev (>= 0.26),
               libglib2.0-dev,
               libgtk-3-dev (>= 3.4.0),
               librsvg2-dev (>= 2.32.0),
               valac-0.18,
               yelp-tools
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-games
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-games/

Package: gnome-robots
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yelp
Breaks: gnobots2 (<< 1:3.7.2)
Replaces: gnobots2 (<< 1:3.7.2)
Description: improved old BSD robots game
 GNOME Robots is a game where you try and avoid a band of marauding
 robots which are, for no adequately explained reason, trying to kill
 you. It is based on the text-based robots game which can be found on a
 number of UNIX systems.

Package: gnobots2
Architecture: all
Priority: extra
Section: oldlibs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-robots
Description: improved old BSD robots game (transitional package)
 This is a transitional package to ease upgrades to gnome-robots.
 It can be safely removed.

## gnome-robots 3.8.0

=== debian/changelog ===
gnome-robots (1:3.8.0-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Rename .desktop launcher back to 3.6 version for smoother upgrades
    - Add themes that used to be in gnome-games-extra-data
    - Translation updates

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 06 Apr 2013 14:50:04 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://live.gnome.org/Robots
 Build-Depends: cdbs (>= 0.4.90~),
                debhelper (>= 8),

## gnome-robots 3.8.1

=== debian/changelog ===
gnome-robots (1:3.8.1-2) unstable; urgency=low

  * debian/gnome-robots.postrm:
    + Fix typo that prevented the package from being purged.
      Closes: #711537.
  * debian/gnome-robots.postinst:
    + Rename FILES to FILE for consistency with the postrm and to
      avoid mistakes as the latter is more self explanatory.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 11 Jun 2013 23:44:18 +0200

gnome-robots (1:3.8.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Package split from gnome-games
  * Add transitional package for rename from gnobots2

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Swith valac-0.18 build dependency to valac (>= 0.18).
    + Fix Vcs-* fields.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 25 May 2013 18:50:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: gnome-robots
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://live.gnome.org/Robots
 Build-Depends: cdbs (>= 0.4.90~),
                debhelper (>= 8),
@@ -19,11 +19,11 @@
                libglib2.0-dev,
                libgtk-3-dev (>= 3.4.0),
                librsvg2-dev (>= 2.32.0),
-               valac-0.18,
+               valac (>= 0.18),
                yelp-tools
 Standards-Version: 3.9.4
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-games
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-games/
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-robots
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-robots/
 
 Package: gnome-robots
 Architecture: any

## gnome-robots 3.14.1

=== debian/changelog ===
gnome-robots (1:3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage URL.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 11 Oct 2014 23:02:10 +0200

gnome-robots (1:3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/gnome-robots.install: stop shipping /var
    - score saved in homedir since 3.11.90
  * Bump build-dependencies according to configure.ac changes:
    + libglib2.0-dev (>= 2.32)
    + libgtk-3-dev (>= 3.12.0)
    + librsvg2-dev (>= 2.36.2)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 22:58:14 +0200

gnome-robots (1:3.12.3-1) unstable; urgency=low

  * Team upload.

  [ Jeremy Bicha ]
  * Update homepage

  [ Luca Falavigna ]
  * New upstream release.
  * debian/control.in:
    - Bump Standards-Version to 3.9.5.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 19 Jul 2014 15:44:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,26 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gnome-robots
 Section: games
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
-Homepage: https://live.gnome.org/Robots
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Homepage: https://wiki.gnome.org/Apps/Robots
 Build-Depends: cdbs (>= 0.4.90~),
                debhelper (>= 8),
                dh-autoreconf,
                gnome-common,
                gnome-pkg-tools (>= 0.6),
-               intltool (>= 0.35.0),
+               intltool (>= 0.50.0),
                libcanberra-gtk3-dev (>= 0.26),
-               libglib2.0-dev,
-               libgtk-3-dev (>= 3.4.0),
-               librsvg2-dev (>= 2.32.0),
+               libglib2.0-dev (>= 2.32),
+               libgtk-3-dev (>= 3.12.0),
+               librsvg2-dev (>= 2.36.2),
                valac (>= 0.18),
                yelp-tools
-Standards-Version: 3.9.4
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-robots
+Standards-Version: 3.9.6
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-robots
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-robots/
 
 Package: gnome-robots

## gnome-robots 3.16.1

=== debian/changelog ===
gnome-robots (1:3.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Add appstream-util.
    - Bump libgtk-3-dev to (>= 3.15.0).
    - Drop valac.
  * Bump debhelper compatibility level to 9.
  * Update debian/copyright.

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Jun 2015 15:31:17 +0200

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Robots
 Build-Depends: cdbs (>= 0.4.90~),
-               debhelper (>= 8),
+               debhelper (>= 9),
                dh-autoreconf,
                gnome-common,
                gnome-pkg-tools (>= 0.6),
                intltool (>= 0.50.0),
+               appstream-util,
                libcanberra-gtk3-dev (>= 0.26),
                libglib2.0-dev (>= 2.32),
-               libgtk-3-dev (>= 3.12.0),
+               libgtk-3-dev (>= 3.15.0),
                librsvg2-dev (>= 2.36.2),
-               valac (>= 0.18),
                yelp-tools
 Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-robots

## gnome-robots 3.18.0

=== debian/changelog ===
gnome-robots (1:3.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 06 Oct 2015 17:39:43 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Robots
 Build-Depends: cdbs (>= 0.4.90~),
                debhelper (>= 9),

## gnome-robots 3.18.1

=== debian/changelog ===
gnome-robots (1:3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Nov 2015 17:06:03 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                yelp-tools
 Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-robots
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-robots/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-robots/
 
 Package: gnome-robots
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS := --bindir=\$${prefix}/games
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_FIXPERMS_ARGS := -X/usr/games/$(cdbs_curpkg)

$(patsubst %,binary-post-install/%,$(DEB_PACKAGES)) :: binary-post-install/%:
	if [ -d debian/$(cdbs_curpkg)/usr/games ]; then \
		chmod u+w debian/$(cdbs_curpkg)/usr/games/$(cdbs_curpkg) ; \
	fi

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gnome-robots/([\d\.]+[02468])/ \
	gnome-robots-(.*)\.tar\.xz

## gnome-robots 3.21.91

=== debian/changelog ===
gnome-robots (1:3.21.91-0ubuntu1) yakkety; urgency=medium

  * New upstram release
  * debian/control.in:
    - Build-depend on libgnome-games-support-1-dev
  * debian/copyright:
    - With switch to libgnome-games-support, the project was
      relicensed from (L)GPL-2+ to (L)GPL-3+
  * Bump debhelper compat to 10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Aug 2016 21:05:35 -0400

gnome-robots (1:3.21.90-0ubuntu1) yakkety; urgency=medium

  * New upstram release
  * debian/control.in:
    - Build-depend on libgnome-games-support-dev
    - Drop gnome-common build-dependency
  * Convert from cdbs to dh
  * Add debian/docs to install NEWS
  * Enable parallel builds and all hardening flags

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 17 Aug 2016 16:52:44 -0400

gnome-robots (1:3.18.1-2) unstable; urgency=medium

  * Drop obsolete transitional package gnobots2.
  * Clean up old scores files. They are no longer stored system wide
    but in the user's home directory.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Mon, 16 May 2016 02:26:54 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-robots
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
Homepage: https://wiki.gnome.org/Apps/Robots
Build-Depends: appstream-util,
               debhelper (>= 9.20160403~),
               gnome-pkg-tools (>= 0.6),
               intltool (>= 0.50.0),
               libcanberra-gtk3-dev (>= 0.26),
               libglib2.0-dev (>= 2.32),
               libgnome-games-support-1-dev,
               libgtk-3-dev (>= 3.15.0),
               librsvg2-dev (>= 2.36.2),
               yelp-tools
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-robots
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-robots/

Package: gnome-robots
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yelp
Breaks: gnobots2 (<< 1:3.7.2)
Replaces: gnobots2 (<< 1:3.7.2)
Description: improved old BSD robots game
 GNOME Robots is a game where you try and avoid a band of marauding
 robots which are, for no adequately explained reason, trying to kill
 you. It is based on the text-based robots game which can be found on a
 number of UNIX systems.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND= -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- --bindir=\$${prefix}/games

override_dh_autoreconf:
	dh_autoreconf --as-needed

## gnome-robots 3.22.0

=== debian/changelog ===
gnome-robots (1:3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 11:38:02 +0200

gnome-robots (1:3.21.91-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstram release
  * debian/control.in:
    - Build-depend on libgnome-games-support-1-dev
    - Drop gnome-common build-dependency
  * debian/copyright:
    - With switch to libgnome-games-support, the project was
      relicensed from (L)GPL-2+ to (L)GPL-3+
  * Convert from cdbs to dh
  * Add debian/docs to install NEWS
  * Bump debhelper compat to 10
  * Enable all hardening flags

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Aug 2016 16:01:08 +0200

## gnome-robots 3.22.1

=== debian/changelog ===
gnome-robots (1:3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Nov 2016 15:02:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Source: gnome-robots
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Robots
 Build-Depends: appstream-util,
-               debhelper (>= 9.20160403~),
+               debhelper (>= 10),
                gnome-pkg-tools (>= 0.6),
                intltool (>= 0.50.0),
                libcanberra-gtk3-dev (>= 0.26),

## gnome-robots 3.22.2

=== debian/changelog ===
gnome-robots (1:3.22.2-2build1) bionic; urgency=medium

  * No-change rebuild against latest libgnome-games-support

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Feb 2018 09:01:40 -0500

gnome-robots (1:3.22.2-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Dec 2017 13:29:33 -0500

gnome-robots (1:3.22.2-1) unstable; urgency=medium

  * New upstream translations release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Sep 2017 10:21:16 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Robots
 Build-Depends: appstream-util,
                debhelper (>= 10),
@@ -18,9 +18,9 @@
                libgtk-3-dev (>= 3.15.0),
                librsvg2-dev (>= 2.36.2),
                yelp-tools
-Standards-Version: 3.9.8
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-robots
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-robots/
+Standards-Version: 4.1.2
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-robots.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-robots.git
 
 Package: gnome-robots
 Architecture: any

## gnome-robots 3.22.3

=== debian/changelog ===
gnome-robots (1:3.22.3-3) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 08:52:59 -0500

gnome-robots (1:3.22.3-2) unstable; urgency=medium

  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 05 Sep 2018 13:44:42 -0400

gnome-robots (1:3.22.3-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Updates to debian/copyright

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 11 Mar 2018 08:39:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-robots
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Homepage: https://wiki.gnome.org/Apps/Robots
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
-               debhelper (>= 10),
+               debhelper (>= 11),
                gnome-pkg-tools (>= 0.6),
                intltool (>= 0.50.0),
                libcanberra-gtk3-dev (>= 0.26),
@@ -18,9 +17,11 @@
                libgtk-3-dev (>= 3.15.0),
                librsvg2-dev (>= 2.36.2),
                yelp-tools
-Standards-Version: 4.1.2
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-robots.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-robots.git
+Standards-Version: 4.3.0
+X-Ubuntu-Use-Langpack: yes
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-robots
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-robots.git
+Homepage: https://wiki.gnome.org/Apps/Robots
 
 Package: gnome-robots
 Architecture: any

## gnome-robots 3.31.90

=== debian/changelog ===
gnome-robots (1:3.31.90-1) experimental; urgency=medium

  * New upstream release
  * Build with meson
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Feb 2019 22:45:42 -0500

## gnome-robots 3.32.0

=== debian/changelog ===
gnome-robots (1:3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Mar 2019 06:08:03 -0400

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,17 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: appstream-util,
-               debhelper (>= 11),
-               gnome-pkg-tools (>= 0.6),
-               intltool (>= 0.50.0),
+Build-Depends: debhelper-compat (= 12),
+               appstream-util <!nocheck>,
+               desktop-file-utils <!nocheck>,
+               dh-sequence-gnome,
+               itstool,
                libcanberra-gtk3-dev (>= 0.26),
                libglib2.0-dev (>= 2.32),
                libgnome-games-support-1-dev,
                libgtk-3-dev (>= 3.15.0),
                librsvg2-dev (>= 2.36.2),
-               yelp-tools
+               meson
 Standards-Version: 4.3.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-robots

## gnome-robots 3.34.0

=== debian/changelog ===
gnome-robots (1:3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on libgsound-dev instead of libcanberra-gtk3-dev
  * Bump Standards-Version to 4.4.0
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 20 Sep 2019 21:46:09 -0400

## gnome-robots 3.35.3

=== debian/changelog ===
gnome-robots (1:3.35.3-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 26 Feb 2020 10:47:30 +0100

## gnome-robots 3.36.0

=== debian/changelog ===
gnome-robots (1:3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 09 Mar 2020 13:52:20 +0100

## gnome-robots 3.36.1

=== debian/changelog ===
gnome-robots (1:3.36.1-1) unstable; urgency=medium

  * New upstream translations update

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Mar 2020 21:57:00 -0400

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
                itstool,
-               libcanberra-gtk3-dev (>= 0.26),
                libglib2.0-dev (>= 2.32),
                libgnome-games-support-1-dev,
+               libgsound-dev (>= 1.0.2),
                libgtk-3-dev (>= 3.15.0),
                librsvg2-dev (>= 2.36.2),
                meson
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-robots
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-robots.git

## gnome-robots 3.38.0

=== debian/changelog ===
gnome-robots (1:3.38.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated build requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 20:52:30 +0200

## gnome-robots 40.0

=== debian/changelog ===
gnome-robots (1:40.0-3) unstable; urgency=medium

  [ Rebecca N. Palmer ]
  * Link against libm for atan2. (Closes: #1082682)

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Update standards version to 4.7.0, no changes needed
  * Avoid explicitly specifying -Wl,--as-needed linker flag

  [ Jeremy Bícha ]
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Dec 2024 09:23:12 -0500

gnome-robots (1:40.0-2) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Aug 2021 19:45:09 -0400

gnome-robots (1:40.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Mar 2021 09:25:40 +0100

gnome-robots (1:40~beta-2) experimental; urgency=medium

  * debian/control.in: Build-Depends on valac

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Mar 2021 20:38:56 +0100

gnome-robots (1:40~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-Depends on libgee-0.8-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Mar 2021 18:05:34 +0100

=== debian/control ===
Source: gnome-robots
Section: games
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 13),
               appstream-util <!nocheck>,
               desktop-file-utils <!nocheck>,
               itstool,
               libgee-0.8-dev,
               libglib2.0-dev (>= 2.32),
               libgnome-games-support-1-dev (>= 1.7.1),
               libgsound-dev (>= 1.0.2),
               libgtk-3-dev (>= 3.24),
               librsvg2-dev (>= 2.36.2),
               meson,
               valac,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-robots
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-robots.git
Homepage: https://wiki.gnome.org/Apps/Robots

Package: gnome-robots
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yelp
Breaks: gnobots2 (<< 1:3.7.2)
Replaces: gnobots2 (<< 1:3.7.2)
Description: improved old BSD robots game
 GNOME Robots is a game where you try and avoid a band of marauding
 robots which are, for no adequately explained reason, trying to kill
 you. It is based on the text-based robots game which can be found on a
 number of UNIX systems.

## gnome-robots 41.1

=== debian/changelog ===
gnome-robots (1:41.1-1) unstable; urgency=medium

  * New upstream release
  * Build with rustc
  * Build with gtk4 & libadwaita
  * Remove libm patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 17:31:28 -0500

=== debian/control ===
Source: gnome-robots
Section: games
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 13),
               appstream-util <!nocheck>,
               cargo:native,
               desktop-file-utils,
               itstool,
               librsvg2-dev,
               librust-gettext-rs-0.7+gettext-system-dev,
               librust-gtk4-0.9+gnome-45-dev,
               librust-libadwaita-0.7+v1-4-dev,
               librust-librsvg-dev,
               librust-rand-0.8-dev,
               meson (>= 0.59.0),
               rustc:native (>= 1.70)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-robots
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-robots.git
Homepage: https://wiki.gnome.org/Apps/Robots

Package: gnome-robots
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: yelp
Description: improved old BSD robots game
 GNOME Robots is a game where you try and avoid a band of marauding
 robots which are, for no adequately explained reason, trying to kill
 you. It is based on the text-based robots game which can be found on a
 number of UNIX systems.

## gnome-robots 41.2

=== debian/changelog ===
gnome-robots (1:41.2-3) unstable; urgency=medium

  * Add patch to build with rust-gtk4 0.10
  * Update Build-Depends
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 Sep 2025 09:41:02 -0400

gnome-robots (1:41.2-2) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 08:26:47 +0200

gnome-robots (1:41.2-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends
  * Opt into dpkg build API v1
  * Remove unnecessary patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Mar 2025 16:35:03 -0400

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,29 @@
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bícha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               appstream-util <!nocheck>,
+               appstream <!nocheck>,
                cargo:native,
                desktop-file-utils,
+               dpkg-build-api (= 1),
                itstool,
-               librsvg2-dev,
+               librsvg2-dev (>= 2.59.2),
+               librust-async-channel-2+default-dev (>= 2.1.1),
+               librust-gettext-rs-0.7+default-dev,
                librust-gettext-rs-0.7+gettext-system-dev,
-               librust-gtk4-0.9+gnome-45-dev,
-               librust-libadwaita-0.7+v1-4-dev,
-               librust-librsvg-dev,
-               librust-rand-0.8-dev,
+               librust-gtk4-0.10+default-dev,
+               librust-gtk4-0.10+gnome-47-dev,
+               librust-libadwaita-0.8+default-dev,
+               librust-libadwaita-0.8+v1-6-dev,
+               librust-librsvg-2+default-dev (>= 2.59.2),
+               librust-rand-0.8+default-dev,
+               librust-serde-1+default-dev (>= 1.0.217),
+               librust-serde-1+derive-dev (>= 1.0.217),
+               librust-toml-0.8+default-dev (>= 0.8.19),
                meson (>= 0.59.0),
                rustc:native (>= 1.70)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-robots
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-robots.git
 Homepage: https://wiki.gnome.org/Apps/Robots

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(shell pwd)/debian/cargo_home
export CARGO_REGISTRY=$(shell pwd)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_HOST_RUST_TYPE

%:
	dh $@

execute_after_dh_auto_clean:
	$(CARGO) clean
	rm -rf $(CARGO_HOME)
	rm -rf $(CARGO_REGISTRY)

override_dh_auto_configure:
	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
	rm -f Cargo.lock
	rm -f .cargo/config
	dh_auto_configure -- \
		--bindir=games

# Give the tests more time on slow arches
override_dh_auto_test:
	dh_auto_test --  --timeout-multiplier 5

override_dh_auto_install:
	$(if $(findstring armhf,$(DEB_HOST_ARCH)), DEB_BUILD_OPTIONS="parallel=4 $(filter-out parallel=%,$(DEB_BUILD_OPTIONS))") dh_auto_install
